class Person:
    def __init__(self, name: str):
        self._name = name

    @property
    def name(self) -> str:
        return self._name

    @name.setter
    def name(self, new_name) -> None:
        self._name = new_name


p = Person("abc")
print(p.name)
p.name = "10"
print(p.name)
